# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: SensorServicer.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='SensorServicer.proto',
  package='sila2.biovt.mw.tum.de.examples.sensorservicer.v1',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x14SensorServicer.proto\x12\x30sila2.biovt.mw.tum.de.examples.sensorservicer.v1\x1a\x13SiLAFramework.proto\"\x17\n\x15GetResults_Parameters\"\x9b\x01\n\x14GetResults_Responses\x12)\n\x03\x43O2\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\x12(\n\x02O2\x18\x02 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\x12.\n\x08Pressure\x18\x03 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x18\n\x16GetHumidity_Parameters\"\xb2\x01\n\x15GetHumidity_Responses\x12.\n\x08Humidity\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\x12\x31\n\x0bTemperature\x18\x02 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\x12\x36\n\x10\x41\x62soluteHumidity\x18\x03 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real2\xd7\x02\n\x0eSensorServicer\x12\x9f\x01\n\nGetResults\x12G.sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetResults_Parameters\x1a\x46.sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetResults_Responses\"\x00\x12\xa2\x01\n\x0bGetHumidity\x12H.sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetHumidity_Parameters\x1aG.sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetHumidity_Responses\"\x00\x62\x06proto3')
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_GETRESULTS_PARAMETERS = _descriptor.Descriptor(
  name='GetResults_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetResults_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=95,
  serialized_end=118,
)


_GETRESULTS_RESPONSES = _descriptor.Descriptor(
  name='GetResults_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetResults_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CO2', full_name='sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetResults_Responses.CO2', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='O2', full_name='sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetResults_Responses.O2', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='Pressure', full_name='sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetResults_Responses.Pressure', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=121,
  serialized_end=276,
)


_GETHUMIDITY_PARAMETERS = _descriptor.Descriptor(
  name='GetHumidity_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetHumidity_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=278,
  serialized_end=302,
)


_GETHUMIDITY_RESPONSES = _descriptor.Descriptor(
  name='GetHumidity_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetHumidity_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='Humidity', full_name='sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetHumidity_Responses.Humidity', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='Temperature', full_name='sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetHumidity_Responses.Temperature', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='AbsoluteHumidity', full_name='sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetHumidity_Responses.AbsoluteHumidity', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=305,
  serialized_end=483,
)

_GETRESULTS_RESPONSES.fields_by_name['CO2'].message_type = SiLAFramework__pb2._REAL
_GETRESULTS_RESPONSES.fields_by_name['O2'].message_type = SiLAFramework__pb2._REAL
_GETRESULTS_RESPONSES.fields_by_name['Pressure'].message_type = SiLAFramework__pb2._REAL
_GETHUMIDITY_RESPONSES.fields_by_name['Humidity'].message_type = SiLAFramework__pb2._REAL
_GETHUMIDITY_RESPONSES.fields_by_name['Temperature'].message_type = SiLAFramework__pb2._REAL
_GETHUMIDITY_RESPONSES.fields_by_name['AbsoluteHumidity'].message_type = SiLAFramework__pb2._REAL
DESCRIPTOR.message_types_by_name['GetResults_Parameters'] = _GETRESULTS_PARAMETERS
DESCRIPTOR.message_types_by_name['GetResults_Responses'] = _GETRESULTS_RESPONSES
DESCRIPTOR.message_types_by_name['GetHumidity_Parameters'] = _GETHUMIDITY_PARAMETERS
DESCRIPTOR.message_types_by_name['GetHumidity_Responses'] = _GETHUMIDITY_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetResults_Parameters = _reflection.GeneratedProtocolMessageType('GetResults_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETRESULTS_PARAMETERS,
  '__module__' : 'SensorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetResults_Parameters)
  })
_sym_db.RegisterMessage(GetResults_Parameters)

GetResults_Responses = _reflection.GeneratedProtocolMessageType('GetResults_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETRESULTS_RESPONSES,
  '__module__' : 'SensorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetResults_Responses)
  })
_sym_db.RegisterMessage(GetResults_Responses)

GetHumidity_Parameters = _reflection.GeneratedProtocolMessageType('GetHumidity_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETHUMIDITY_PARAMETERS,
  '__module__' : 'SensorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetHumidity_Parameters)
  })
_sym_db.RegisterMessage(GetHumidity_Parameters)

GetHumidity_Responses = _reflection.GeneratedProtocolMessageType('GetHumidity_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETHUMIDITY_RESPONSES,
  '__module__' : 'SensorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorservicer.v1.GetHumidity_Responses)
  })
_sym_db.RegisterMessage(GetHumidity_Responses)



_SENSORSERVICER = _descriptor.ServiceDescriptor(
  name='SensorServicer',
  full_name='sila2.biovt.mw.tum.de.examples.sensorservicer.v1.SensorServicer',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  serialized_start=486,
  serialized_end=829,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetResults',
    full_name='sila2.biovt.mw.tum.de.examples.sensorservicer.v1.SensorServicer.GetResults',
    index=0,
    containing_service=None,
    input_type=_GETRESULTS_PARAMETERS,
    output_type=_GETRESULTS_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetHumidity',
    full_name='sila2.biovt.mw.tum.de.examples.sensorservicer.v1.SensorServicer.GetHumidity',
    index=1,
    containing_service=None,
    input_type=_GETHUMIDITY_PARAMETERS,
    output_type=_GETHUMIDITY_RESPONSES,
    serialized_options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_SENSORSERVICER)

DESCRIPTOR.services_by_name['SensorServicer'] = _SENSORSERVICER

# @@protoc_insertion_point(module_scope)
